Bug 992709 - perl-ParseUtil-Domain: FTBFS in rawhide
perl-ParseUtil-Domain: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-ParseUtil-Domain (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mathieu Bridon
Fedora Extras Quality Assurance
:
Depends On: 992734 992736 998496
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 01:56 EDT by Dennis Gilmore
Modified: 2013-09-22 19:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: perl-ParseUtil-Domain-2.30-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 19:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 01:56:15 EDT
Your package perl-ParseUtil-Domain failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5740895

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/895/5740895/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/895/5740895/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/895/5740895/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Petr Pisar 2013-08-09 05:06:49 EDT
Tests fail:

Attribute (domains_to_test) does not pass the type constraint because: Validation failed for 'ArrayRef' with value undef at /usr/lib64/perl5/vendor_perl/Moose/Meta/Attribute.pm line 1289.
	Moose::Meta::Attribute::verify_against_type_constraint('Moose::Meta::Attribute=HASH(0x3433750)', undef, 'instance', 'Moose::Meta::Class::__ANON__::SERIAL::3=HASH(0x2300920)') called at /usr/lib64/perl5/vendor_perl/Moose/Meta/Attribute.pm line 1276
	Moose::Meta::Attribute::_coerce_and_verify('Moose::Meta::Attribute=HASH(0x3433750)', undef, 'Moose::Meta::Class::__ANON__::SERIAL::3=HASH(0x2300920)') called at /usr/lib64/perl5/vendor_perl/Moose/Meta/Attribute.pm line 546
	Moose::Meta::Attribute::initialize_instance_slot('Moose::Meta::Attribute=HASH(0x3433750)', 'Moose::Meta::Instance=HASH(0x3417f60)', 'Moose::Meta::Class::__ANON__::SERIAL::3=HASH(0x2300920)', 'HASH(0x234a0d8)') called at /usr/lib64/perl5/vendor_perl/Class/MOP/Class.pm line 525
	Class::MOP::Class::_construct_instance('Moose::Meta::Class=HASH(0x3431380)', 'HASH(0x234a0d8)') called at /usr/lib64/perl5/vendor_perl/Class/MOP/Class.pm line 498
	Class::MOP::Class::new_object('Moose::Meta::Class=HASH(0x3431380)', 'HASH(0x234a0d8)') called at /usr/lib64/perl5/vendor_perl/Moose/Meta/Class.pm line 274
	Moose::Meta::Class::new_object('Moose::Meta::Class=HASH(0x3431380)', 'HASH(0x234a0d8)') called at /usr/lib64/perl5/vendor_perl/Moose/Object.pm line 28
	Moose::Object::new('Moose::Meta::Class::__ANON__::SERIAL::3', 'HASH(0x33a1f18)') called at /usr/share/perl5/vendor_perl/Test/Routine/Compositor.pm line 73
	Test::Routine::Compositor::__ANON__('Test::Routine::Runner=HASH(0x33ee170)') called at native delegation method Test::Routine::Runner::_build_test_instance (execute_method) of attribute _instance_builder (defined at /usr/share/perl5/vendor_perl/Test/Routine/Runner.pm line 54) line 3
	Test::Routine::Runner::_build_test_instance('Test::Routine::Runner=HASH(0x33ee170)') called at reader Test::Routine::Runner::test_instance (defined at /usr/share/perl5/vendor_perl/Test/Routine/Runner.pm line 47) line 7
	Test::Routine::Runner::test_instance('Test::Routine::Runner=HASH(0x33ee170)') called at /usr/share/perl5/vendor_perl/Test/Routine/Runner.pm line 81
	Test::Routine::Runner::run('Test::Routine::Runner=HASH(0x33ee170)') called at /usr/share/perl5/vendor_perl/Test/Routine/Util.pm line 70
	Test::Routine::Util::run_tests('Test::Routine::Util', 'Test toggle between unicode and puny-encoded ascii', 'ARRAY(0x22e3cb8)') called at /usr/share/perl5/vendor_perl/Test/Routine/Util.pm line 34
	Test::Routine::Util::__ANON__('Test toggle between unicode and puny-encoded ascii', 'ARRAY(0x22e3cb8)') called at t/parse_ascii_test_routine.t line 11
# Looks like your test exited with 255 before it could output anything.
t/parse_ascii_test_routine.t .. 
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 2/2 subtests
Comment 2 Paul Howarth 2013-08-18 16:25:31 EDT
New upstream release 2.30 resolves this.

https://github.com/heytrav/ParseUtil-Domain/issues/6

It requires the not-yet-in-Fedora perl(perl5i), which I'm in the process of submitting, and should be ready for review tomorrow.
Comment 3 Mathieu Bridon 2013-08-18 21:49:09 EDT
Hey, thanks for following up on this, Paul.

I have to admit I've been slacking a bit on this one, given that I knew Petr was still mass-rebuilding stuff, and then Flock came, and...

Let me know when you have perl(perl5i) submitted and I'll review it to speed things up.

Also, I'll be happy to give you (or anyone else) ACLs on this package (or any other I maintain) if you want to push the update. :)
Comment 4 Paul Howarth 2013-08-19 09:06:03 EDT
(In reply to Mathieu Bridon from comment #3)
> Hey, thanks for following up on this, Paul.
> 
> I have to admit I've been slacking a bit on this one, given that I knew Petr
> was still mass-rebuilding stuff, and then Flock came, and...
> 
> Let me know when you have perl(perl5i) submitted and I'll review it to speed
> things up.

Unfortunately it's not as simple as that: someone will have to review the 11 new packages that it depends on first :-( Anyway, they're all ready for review now (follow the ticket "depends" lists for the packages). Fortunately most of them are rather trivial.

> Also, I'll be happy to give you (or anyone else) ACLs on this package (or
> any other I maintain) if you want to push the update. :)

Thanks, but I have no particular interest in this specific package - I'm just chasing up the remaining packages that failed to build for Perl 5.18.
Comment 5 Fedora Update System 2013-09-13 10:51:08 EDT
perl-ParseUtil-Domain-2.30-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-ParseUtil-Domain-2.30-1.fc20
Comment 6 Fedora Update System 2013-09-13 13:29:11 EDT
Package perl-ParseUtil-Domain-2.30-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-ParseUtil-Domain-2.30-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16655/perl-ParseUtil-Domain-2.30-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora End Of Life 2013-09-16 13:10:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 8 Mathieu Bridon 2013-09-17 07:08:13 EDT
Thanks you very much Paul for introducing the new dependencies into Fedora, building the new ParseUtil::Domain, and doing the update.

It's all working, and it would have taken me ages to do it all.
Comment 9 Fedora Update System 2013-09-22 19:59:37 EDT
perl-ParseUtil-Domain-2.30-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.